// Create layers for the different images we are using
// The layers will be drawn in the order in which they 
// were created - we can change their properties later.

lBG = defineLayer("bg.png");
lMinute = defineLayer("minute_hand.png");
lHour = defineLayer("hour_hand.png");
if (showSeconds) {
	lSecond = defineLayer("second_hand.png");
}
else {
	// We create a dummy object when the second hand is hidden,
	// so we don't need more if-ing below
	lSecond = new Object();
}
lFG = defineLayer("fg.png");

centerX = 0.485;
centerY = 0.485;
scaleX = screenWidth;
scaleY = screenHeight;

lFG.scaleX = lBG.scaleX = lHour.scaleX = lMinute.scaleX = lSecond.scaleX = scaleX;
lFG.scaleY = lBG.scaleY = lHour.scaleY = lMinute.scaleY = lSecond.scaleY = scaleY;
lHour.anchorX = lMinute.anchorX = lSecond.anchorX = centerX;
lHour.anchorY = lMinute.anchorY = lSecond.anchorY = centerY;

lHour.rotate = hour*30+(minute/2);
lMinute.rotate = minute*6;
lSecond.rotate = second*6;

function widthForHeight(height) {
    return height;
}

function heightForWidth(width) {
    return width;
}
